package com.ffii.core.response;

import java.time.LocalDateTime;

public class ErrorRes {

  private LocalDateTime timestamp;

  private String traceId;

  public ErrorRes() {
    this.timestamp = LocalDateTime.now();
  }

  public ErrorRes(String traceId) {
    this.timestamp = LocalDateTime.now();
    this.traceId = traceId;
  }

  public LocalDateTime getTimestamp() {
    return timestamp;
  }

  public void setTimestamp(LocalDateTime timestamp) {
    this.timestamp = timestamp;
  }

  public String getTraceId() {
    return traceId;
  }

  public void setTraceId(String traceId) {
    this.traceId = traceId;
  }

}
